notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
rubygem-passenger Modules for running Ruby on Rails and Rack applications
6.0.4_1 www on this many watch lists=9 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port 6.0.2Version of this port present on the latest quarterly branch.
Maintainer: osa@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2008-12-25 19:50:01
Last Update: 2019-09-19 22:09:13
SVN Revision: 512375
Also Listed In: rubygems
License: MIT
Description:
SVNWeb : Homepage

There is no configure plist information for this port.

Dependency lines:
  • rubygem-passenger-apache>0:www/rubygem-passenger
Conflicts:
CONFLICTS_INSTALL:
  • rubygem-passenger-nginx
Conflicts Matches:
There are no Conflicts Matches for this port. This is usually an error.
To install the port: cd /usr/ports/www/rubygem-passenger/ && make install clean
To add the package: pkg install rubygem-passenger-apache
PKGNAME: rubygem-passenger-apache
Package flavors (<flavor>: <package>)
  • apache: rubygem-passenger-apache
  • nginx: rubygem-passenger-nginx
distinfo:

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. rake : devel/rubygem-rake
  2. rubygem-rack>=0 : www/rubygem-rack
  3. ruby26 : lang/ruby26
  4. apxs : www/apache24
  5. gem26 : devel/ruby-gems
Runtime dependencies:
  1. rake : devel/rubygem-rake
  2. rubygem-rack>=0 : www/rubygem-rack
  3. ruby26 : lang/ruby26
  4. apxs : www/apache24
  5. gem26 : devel/ruby-gems
Library dependencies:
  1. libuv.so : devel/libuv
  2. libcurl.so : ftp/curl
  3. libapr-1.so : devel/apr1
Patch dependencies:
  1. ruby26 : lang/ruby26
  2. gem26 : devel/ruby-gems
Extract dependencies:
  1. ruby26 : lang/ruby26
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
  1. https://rubygems.org/downloads/

Number of commits found: 169 (showing only 100 on this page)

1 | 2  »  

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
19 Sep 2019 21:09:13
Original commit files touched by this commit  6.0.4_1
Revision:512375
osa search for other commits by this committer
Fix build on FreeBSD13.
Bump PORTREVISION.

Original
patch:	https://github.com/phusion/passenger/commit/d0d660bbdbb51079ad60188882596810273b1616.patch
Thanks to:	Camden Narzt <support@phusionpassenger.com>
19 Sep 2019 00:59:30
Original commit files touched by this commit  6.0.4
Revision:512305
osa search for other commits by this committer
Update from 6.0.3 to 6.0.4.
16 Sep 2019 20:40:53
Original commit files touched by this commit  6.0.3
Revision:512185
osa search for other commits by this committer
Update from 6.0.2 to 6.0.3.
Remove the needless patch.
14 Aug 2019 12:25:09
Original commit files touched by this commit  6.0.2_1
Revision:508913
mat search for other commits by this committer
Convert to UCL & cleanup pkg-message (categories w)
26 Jul 2019 20:46:57
Original commit files touched by this commit  6.0.2_1
Revision:507372
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
as defined in Mk/bsd.default-versions.mk which has moved from GCC 8.3
to GCC 9.1 under most circumstances now after revision 507371.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, everything INDEX-11 shows with a dependency on lang/gcc9 now.

PR:		238330
21 Jun 2019 10:59:06
Original commit files touched by this commit  6.0.2
Revision:504781
linimon search for other commits by this committer
Add compiler:c++11-lang to USES to fix build on GCC-based systems:

  src/cxx_supportlib/WebSocketCommandReverseServer.h:809: error: no matching
function for call to 'make_shared(boost::asio::io_context&)'

Approved by:	portmgr (tier-2 blanket)
01 Jun 2019 09:01:46
Original commit files touched by this commit  6.0.2
Revision:503229
amdmi3 search for other commits by this committer
- Update WWW

Approved by:	portmgr blanket
28 Feb 2019 22:32:29
Original commit files touched by this commit  6.0.2
Revision:494213
osa search for other commits by this committer
Update passenger and its third-party modules for www/nginx and
www/nginx-devel from 6.0.1 to 6.0.2.

Bump PORTREVISION for www/nginx and www/nginx-devel.
30 Jan 2019 21:29:47
Original commit files touched by this commit  6.0.1_2
Revision:491659
dvl search for other commits by this committer
Fix the symlink to be relative.
symlinks in PREFIX should always be relative.

PR:		235327
Approved by:	blanket approval
MFH:		2019Q1
30 Jan 2019 19:35:10
Original commit files touched by this commit  6.0.1_1
Revision:491654
dvl search for other commits by this committer
Install has a bug with relative links and is creating an incorrect symlink.

Changing this to a full link.

PR:		235327
Approved by:	blanket approval
MFH:		2019Q1
24 Jan 2019 05:09:48
Original commit files touched by this commit  6.0.1
Revision:491080
linimon search for other commits by this committer
Conditionalize the dependence of libunwind to x86-only to allow building
these ports on !x86.

libunwind is only available for x86; lang/ruby* already expresses this
correctly.  Some of the rubygems did not: for the ones that already had
USE_RUBY, the dependency was overspecified in the first place.

Tested for no-harm on amd64.

While here, pet portlint where appropriate.

Approved by:	portmgr (tier-2 blanket)
12 Jan 2019 19:49:12
Original commit files touched by this commit  6.0.1
Revision:490077
osa search for other commits by this committer
Update passenger and its third-party modules for www/nginx and
www/nginx-devel from 6.0.0 to 6.0.1.

While I'm here:
o) remove a needless whitespace and tabs;
o) add a patch to disable anonymouse telemetry for passenger by default.
14 Dec 2018 00:46:08
Original commit files touched by this commit  6.0.0_1
Revision:487400
osa search for other commits by this committer
Disable anonymous telemetry for nginx and apache by default.

Bump PORTREVISION.

Requested by:	remko
02 Dec 2018 18:18:14
Original commit files touched by this commit  6.0.0
Revision:486475
osa search for other commits by this committer
Upgrade passenger and its third-party modules for www/nginx and
www/nginx-devel from 5.3.7 to 6.0.0.

<ChangeLog>

* Introduces support for *all* programming languages. Yes that's
  right... Java, Elixir, Go -- Passenger now supports them all!
  This effort is called "generic language support".
* Bumps the preferred Nginx version to 1.15.7.
* Introduces anonymous usage telemetry, which helps us improve
  Passenger.  Please read the docs on what data is collected and
  how to disable this.
* [Nginx] Introduces a new option "passenger_request_buffering on|off",
  to allow disabling request body buffering. This is only supported in
  Nginx >= 1.15.3. Closes GH-2121.
* Updated various library versions used in precompiled binaries (used
  for e.g. gem installs):
  - OpenSSL: 1.0.2q (was: 1.0.2p)
  - libcurl: 7.62.0 (was: 7.61.1)
  - Ruby: 2.3.8 (was: 2.3.7)

</ChangeLog>
28 Nov 2018 00:00:03
Original commit files touched by this commit  5.3.7
Revision:486073
osa search for other commits by this committer
Update passenger and it's modules for www/nginx and
www/nginx-devel ports to 5.3.7.
19 Nov 2018 18:20:47
Original commit files touched by this commit  5.3.5_1
Revision:485348
sunpoet search for other commits by this committer
Mark CONFLICTS_INSTALL among flavors (apache nginx)

Approved by:	portmgr (blanket)
03 Nov 2018 22:54:39
Original commit files touched by this commit  5.3.5_1
Revision:483952
sunpoet search for other commits by this committer
Fix build with curl 7.62.0
07 Oct 2018 16:18:58
Original commit files touched by this commit  5.3.5_1
Revision:481455
osa search for other commits by this committer
Add another package message file to fix the issue with it for nginx flavor.

Bump PORTREVISION.

PR:	231877
25 Sep 2018 09:56:02
Original commit files touched by this commit  5.3.5
Revision:480657
osa search for other commits by this committer
Upgrade www/passenger and its third-party modules for
www/nginx and www/nginx-devel from 5.3.4 to 5.3.5.
Bump PORTREVISIONs where it's necessary.
14 Aug 2018 19:43:40
Original commit files touched by this commit  5.3.4
Revision:477200
jbeich search for other commits by this committer
www/rubygem-passenger: unbreak with libc++ 7

In file included from src/agent/Watchdog/WatchdogMain.cpp:68:
In file included from src/agent/Watchdog/Config.h:32:
In file included from src/agent/Core/Config.h:47:
In file included from src/agent/Core/AdminPanelConnector.h:43:
In file included from src/cxx_supportlib/WebSocketCommandReverseServer.h:29:
In file included from
src/cxx_supportlib/vendor-copy/websocketpp/websocketpp/config/asio_no_tls_client.hpp:32:
In file included from
src/cxx_supportlib/vendor-copy/websocketpp/websocketpp/transport/asio/endpoint.hpp:32:
In file included from
src/cxx_supportlib/vendor-copy/websocketpp/websocketpp/transport/asio/connection.hpp:31:
In file included from
src/cxx_supportlib/vendor-copy/websocketpp/websocketpp/transport/asio/base.hpp:31:
In file included from
src/cxx_supportlib/vendor-copy/websocketpp/websocketpp/common/asio.hpp:65:
In file included from src/cxx_supportlib/vendor-modified/boost/asio.hpp:23:
In file included from
src/cxx_supportlib/vendor-modified/boost/asio/basic_datagram_socket.hpp:20:
In file included from
src/cxx_supportlib/vendor-modified/boost/asio/basic_socket.hpp:40:
In file included from
src/cxx_supportlib/vendor-modified/boost/asio/detail/reactive_socket_service.hpp:22:
In file included from
src/cxx_supportlib/vendor-modified/boost/asio/buffer.hpp:27:
In file included from
src/cxx_supportlib/vendor-modified/boost/asio/detail/string_view.hpp:25:
/usr/include/c++/v1/experimental/string_view:11:2: error:
"<experimental/string_view> has been removed. Use <string_view> instead."

PR:		230401
Reported by:	antoine (via exp-run)
05 Aug 2018 16:45:51
Original commit files touched by this commit  5.3.4
Revision:476419
osa search for other commits by this committer
Upgrade passenger and its third-party modules for www/nginx and
www/nginx-devel from 5.3.3 to 5.3.4.

PR:	229392

<ChangeLog>

* Fixes a crash during startup on FreeBSD 11.2 and recent OpenBSD versions
  due to C++11 compatibility issues in the code. Closes GH-2097.
* Updates Boost to version 1.67.0.
* [Apache] Fixes the handling of HTTP requests with chunked bodies in
  combination with `PassengerBufferUploads off`. Closes GH-2102.

</ChangeLog>
03 Jul 2018 23:15:03
Original commit files touched by this commit  5.3.3
Revision:473856
osa search for other commits by this committer
Upgrade passenger and its third-party modules for www/nginx
and www/nginx-devel from 5.3.2 to 5.3.3.
24 Jun 2018 16:03:41
Original commit files touched by this commit  5.3.2
Revision:473206
osa search for other commits by this committer
Upgrade passenger and its third-party modules for
www/nginx and www/nginx-devel from 5.3.1 to 5.3.2.
15 May 2018 11:18:08
Original commit files touched by this commit  5.3.1
Revision:470011
osa search for other commits by this committer
Upgrade to recent bugfix release 5.3.1.
13 May 2018 15:00:20
Original commit files touched by this commit  5.3.0
Revision:469799
osa search for other commits by this committer
Upgrade from 5.2.3 to 5.3.0.
08 Apr 2018 21:08:45
Original commit files touched by this commit  5.2.3
Revision:466831
osa search for other commits by this committer
Upgrade from 5.2.1 to the recent version 5.2.3.
21 Mar 2018 23:21:43
Original commit files touched by this commit  5.2.1
Revision:465249
osa search for other commits by this committer
Upgrade from 5.1.12 to 5.2.1.
21 Mar 2018 21:24:44
Original commit files touched by this commit  5.1.12_4
Revision:465240
brnrd search for other commits by this committer
devel/apr1: Bump portrevision

 - Repair my rookie mistake of earlier today
 - Bump revision of dependent ports (again)

Reported by:	antoine
21 Mar 2018 19:50:35
Original commit files touched by this commit  5.1.12_3
Revision:465232
brnrd search for other commits by this committer
devel/apr1: Fix runtime issues of dependent port

 - iconv is in base in all supported FreeBSD versions
 - Fix build with MariaDB 10.2 [2]
 - Bump portrevision in dependencies

PR:		226705 [1], 226026 [2]
With hat:	apache
Approved by:	joneum (apache)
11 Mar 2018 21:00:35
Original commit files touched by this commit  5.1.12_2
Revision:464208
antoine search for other commits by this committer
Unbreak

Pointy hat:	brnrd
11 Mar 2018 17:38:46
Original commit files touched by this commit  5.1.12_2
Revision:464189
brnrd search for other commits by this committer
Migrate USE_APACHE to USES= apache (category www)

 - Following migration of Mk/bsd.apache.mk to Mk/Uses/apache.mk

With hat:	apache
22 Jan 2018 19:21:58
Original commit files touched by this commit  5.1.12_2
Revision:459686
dvl search for other commits by this committer
Bump PORTREVISION

This should have been in the original commit.

Approved by:	portmgr (mat)
22 Jan 2018 19:12:14
Original commit files touched by this commit  5.1.12_1
Revision:459684
dvl search for other commits by this committer
Introduce FLAVORS for apache (default) and nginx.

Reviewed by:	osa (maintainer)
Approved by:	portmgr (mat)
Differential Revision:	https://reviews.freebsd.org/D13889
17 Jan 2018 16:33:27
Original commit files touched by this commit  5.1.12_1
Revision:459268
dvl search for other commits by this committer
Fix build

was failing with:

Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for
'lib/ruby/gems/2.4/gems/passenger-5.1.12/dev/ci/tests/debian/run'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for
'lib/ruby/gems/2.4/gems/passenger-5.1.12/dev/ci/tests/rpm/run'
Error: '/usr/local/bin/python2' is an invalid shebang you need USES=shebangfix
for
'lib/ruby/gems/2.4/gems/passenger-5.1.12/src/cxx_supportlib/vendor-copy/libuv/gyp_uv.py'

Approved by:	portmgr@ (blanket approval)
09 Jan 2018 07:40:56
Original commit files touched by this commit  5.1.12
Revision:458513
mat search for other commits by this committer
Remove support for variables that have been deprecated for a while.

variables                  deprecation       revision
WITHOUT_NLS                2013-12-13        r336337
WITH_/WITHOUT_             2014-02-24        r345870
NOPORT(DOC|EXAMPLE)S       2014-04-19        r351587
WITH_BDB_VER               2016-05-02        r414444
OVERRIDE_LINUX_BASE_PORT   2016-09-05        r421387
WITH_OPENSSL_(BASE|PORT)   2016-06-16        r416965

While there, add an ERROR variable that works like DEV_ERROR, but for
user facing errors, and move NOPORTDOCS,
NOPORTEXAMPLES and WITHOUT_NLS to it.

Cleanup bsd.sanity.mk a bit.

Fix fallout.

PR:		224613
Submitted by:	mat
Exp-run by:	antoine
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D13490
29 Nov 2017 00:43:23
Original commit files touched by this commit  5.1.12
Revision:455088
osa search for other commits by this committer
Update from 5.1.11 to 5.1.12:

o) www/rubygem-passenger;
o) third-party passenger modules for www/nginx and www/nginx-devel.
18 Oct 2017 16:58:39
Original commit files touched by this commit  5.1.11
Revision:452356
osa search for other commits by this committer
Security (*) upgrade from 5.1.8 to 5.1.11:

o) www/rubygem-passenger;
o) third-party passenger module for www/nginx-devel;

MFH:	2017Q4

See
details:	https://blog.phusion.nl/2017/10/13/passenger-security-advisory-5-1-11/
04 Oct 2017 14:36:03
Original commit files touched by this commit  5.1.8
Revision:451230 This port version is marked as vulnerable.
asomers search for other commits by this committer
www/rubygem-passenger: fix post-install when NGINX=ON

PR:		222438
Reported by:	matthew@brightfire.net
Approved by:	osa (maintainer timeout)
MFH:		2017Q4
Sponsored by:	Spectra Logic Corp
15 Sep 2017 17:05:41
Original commit files touched by this commit  5.1.8
Revision:449908 This port version is marked as vulnerable.
asomers search for other commits by this committer
www/rubygem-passenger: fix stage-qa errors

Fix multiple stage-qa errors:
* shebangfix
* Unstripped binraies
* missing USES=libtool
* several missing LIB_DEPENDS, and a USES=ssl
* missing PLIST dirs

PR:		220681
Reported by:	lifanov
Approved by:	osa (maintainer timeout)
Sponsored by:	Spectra Logic Corp
07 Sep 2017 21:15:16
Original commit files touched by this commit  5.1.8
Revision:449429 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.1.5 to 5.1.8:

o) www/rubygem-passenger;
o) third-party passenger module for www/nginx;       (*)
o) third-party passenger module for www/nginx-devel.

Approved by:	joneum (maintainer) (*)
15 Jul 2017 20:44:05
Original commit files touched by this commit  5.1.5
Revision:445964 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Convert to options helper

Approved by:	portmgr (blanket)
04 Jul 2017 15:37:06
Original commit files touched by this commit  5.1.5
Revision:445024 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 5.1.4 to 5.1.5:

o) www/rubygem-passenger;
o) third-party passenger modules for www/nginx and www/nginx-devel.
13 May 2017 20:34:50
Original commit files touched by this commit  5.1.4
Revision:440855 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.1.3 to 5.1.4:

o) www/rubygem-passenger;
o) third-party passenger module for www/nginx and www/nginx-devel.
03 May 2017 21:36:42
Original commit files touched by this commit  5.1.3
Revision:440047 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.1.2 to 5.1.3:

o) www/rubygem-passenger;
o) third-party passenger module for www/nginx and www/nginx-devel.
11 Feb 2017 22:46:59
Original commit files touched by this commit  5.1.2_1
Revision:433920 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.30 to 5.1.2:

o) www/rubygem-passenger;
o) third-party passenger module for www/nginx and www/nginx-devel.
05 Dec 2016 07:19:49
Original commit files touched by this commit  5.0.30_1
Revision:427856 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
- Add LICENSE
- Update BUILD_DEPENDS: remove redundant LOCALBASE/bin
- While I'm here, replace space with tab

Approved by:	portmgr (blanket)
07 Sep 2016 07:09:09
Original commit files touched by this commit  5.0.30_1
Revision:421477 This port version is marked as vulnerable.
mat search for other commits by this committer
Fix SYMLINK option.

When the SYMLINK option was introduce, a new SUB_LIST was too, but it
was never used.
While there, fix the symlink to be relative, like it should.

PR:		212107
Submitted by:	mat
Approved by:	maintainer timeout
Sponsored by:	Absolight
27 Jul 2016 03:56:37
Original commit files touched by this commit  5.0.30
Revision:419162 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.29 to 5.0.30:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
13 Jul 2016 17:03:00
Original commit files touched by this commit  5.0.29
Revision:418494 This port version is marked as vulnerable.
osa search for other commits by this committer
Actually remove needless patch.

PR:	211075
13 Jul 2016 00:36:11
Original commit files touched by this commit  5.0.29
Revision:418452 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.28 to 5.0.29:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
19 May 2016 10:53:06
Original commit files touched by this commit  5.0.28
Revision:415500 This port version is marked as vulnerable.
amdmi3 search for other commits by this committer
- Fix trailing whitespace in pkg-descrs, categories [p-x]*

Approved by:	portmgr blanket
09 May 2016 22:51:30
Original commit files touched by this commit  5.0.28
Revision:414894 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.27 to 5.0.28:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
28 Apr 2016 14:34:52
Original commit files touched by this commit  5.0.27
Revision:414177 This port version is marked as vulnerable.
swills search for other commits by this committer
www/rubygem-passenger: remove USE_RAKE
27 Apr 2016 21:57:32
Original commit files touched by this commit  5.0.27
Revision:414136 This port version is marked as vulnerable.
swills search for other commits by this committer
Convert USES=gem:autoplist to USES=gem since autoplist is default
27 Apr 2016 16:36:42
Original commit files touched by this commit  5.0.27
Revision:414118 This port version is marked as vulnerable.
swills search for other commits by this committer
create USES=gem and update rubygem- ports to use it

Note that for now ports still have to have USE_RUBY=yes to use USES=gem

PR:		209041
Differential Revision:	https://reviews.freebsd.org/D6070
27 Apr 2016 01:18:07
Original commit files touched by this commit  5.0.27
Revision:414085 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.26 to 5.0.27:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
01 Apr 2016 14:33:58
Original commit files touched by this commit  5.0.26
Revision:412351 This port version is marked as vulnerable.
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories v, w, x, y, and z.

With hat:	portmgr
Sponsored by:	Absolight
02 Mar 2016 11:52:21
Original commit files touched by this commit  5.0.26
Revision:409928 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.25 to 5.0.26:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
20 Feb 2016 16:19:10
Original commit files touched by this commit  5.0.25
Revision:409253 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.24 to 5.0.25:

o) www/rubygem-passenger;
o) third-party passenger modules for www/nginx and www/nginx-devel.
03 Feb 2016 11:04:31
Original commit files touched by this commit  5.0.24
Revision:407950 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.22 to 5.0.24.
This change has been missed for r407932.
08 Dec 2015 23:08:11
Original commit files touched by this commit  5.0.22
Revision:403349 This port version is marked as vulnerable.
osa search for other commits by this committer
Security update from 5.0.21 to 5.0.22:

o) www/rubygem-passenger;
o) third-party passenger modules for www/nginx and www/nginx-devel.

Please note: third-party passenger module is disabled by default for
www/nginx and www/nginx-devel ports.

Security:	CVE-2015-7519
PR:		205104
24 Oct 2015 04:28:32
Original commit files touched by this commit  5.0.21
Revision:400104 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 5.0.20 to 5.0.21:

o) www/rubygem-passenger;
o) third-party passenger modules for www/nginx and www/nginx-devel.
25 Sep 2015 23:20:49
Original commit files touched by this commit  5.0.20
Revision:397903 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.18 to 5.0.20:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
16 Sep 2015 23:23:34
Original commit files touched by this commit  5.0.18
Revision:397090 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.16 to 5.0.18:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
08 Sep 2015 22:14:34
Original commit files touched by this commit  5.0.16_1
Revision:396443 This port version is marked as vulnerable.
osa search for other commits by this committer
Remove needless dependences.
Bump PORTREVISION.

PR:	202979
27 Aug 2015 22:19:12
Original commit files touched by this commit  5.0.16
Revision:395446 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.15 to 5.0.16:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
10 Aug 2015 22:30:21
Original commit files touched by this commit  5.0.15
Revision:393918 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.14 to 5.0.15:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
17 Jul 2015 00:11:51
Original commit files touched by this commit  5.0.14
Revision:392328 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.13 to 5.0.14:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
08 Jul 2015 22:21:15
Original commit files touched by this commit  5.0.13
Revision:391606 This port version is marked as vulnerable.
osa search for other commits by this committer
Update RUN_DEPENDS: use newer rubygem-rack.
Bump PORTREVISION for dependency change.

Patch from:	mmoll
Thanks to:	sunpoet
04 Jul 2015 22:24:35
Original commit files touched by this commit  5.0.13
Revision:391335 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.11 to 5.0.13:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
01 Jul 2015 09:29:58
Original commit files touched by this commit  5.0.11
Revision:391039 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.10 to 5.0.11:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
12 Jun 2015 01:31:18
Original commit files touched by this commit  5.0.10
Revision:389257 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.9 to 5.0.10:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
05 Jun 2015 03:10:09
Original commit files touched by this commit  5.0.9
Revision:388563 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.8 to 5.0.9:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
24 May 2015 16:27:38
Original commit files touched by this commit  5.0.8
Revision:387280 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.7 to 5.0.8:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
13 May 2015 02:30:12
Original commit files touched by this commit  5.0.7
Revision:386193 This port version is marked as vulnerable.
osa search for other commits by this committer
It's possible to build port without installed nginx, so, remove necessary code,
it's just a consitency check for the version of the third-party passenger module
compiled with nginx and passenger's versions.
29 Apr 2015 01:03:03
Original commit files touched by this commit  5.0.7
Revision:384952 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 5.0.6 to 5.0.7:

o) www/rubygem-passenger;
o) third-party passenger modules for www/nginx and www/nginx-devel.
29 Apr 2015 00:46:12
Original commit files touched by this commit  5.0.6
Revision:384951 This port version is marked as vulnerable.
osa search for other commits by this committer
Enable check for passenger third-party module compiled in nginx.
04 Apr 2015 23:38:24
Original commit files touched by this commit  5.0.6
Revision:383248 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.4 to 5.0.6:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

The passenger now uses its own libev fork, so remove devel/libev dependency.

<ChangeLog>

Release 5.0.6
-------------

* The turbocache no longer caches responses for which the Cache-Control header
  contains "no-cache". Please note that "no-cache" does not mean "do not cache
  this response". Instead, it means "any caching servers may only serve the
(Only the first 15 lines of the commit message are shown above View all of this commit message)
24 Mar 2015 18:19:24
Original commit files touched by this commit  5.0.4
Revision:382150 This port version is marked as vulnerable.
marino search for other commits by this committer
4 ports categories: Remove $PTHREAD_LIBS

Categories: www, ftp, net-im, net-mgmt

approved by:	PTHREAD blanket
13 Mar 2015 00:41:06
Original commit files touched by this commit  5.0.4
Revision:381156 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 5.0.2 to 5.0.4:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 5.0.3
-------------

 * [Standalone] When using the builtin engine, `passenger start` may crash
during
   startup due to an initialization race condition. This has been fixed.
 * [Enterprise] Fixes a bug in passenger-irb. Running passenger-irb without a
PID
   parameter worked, but running it with a PID parameter didn't.
 * Fixes an integer overflow that resulted in a file descriptor leak and stalled
(Only the first 15 lines of the commit message are shown above View all of this commit message)
13 Mar 2015 00:06:30
Original commit files touched by this commit  5.0.2
Revision:381154 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 4.0.59 to 5.0.2:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 5.0.2
-------------

 * Fixes a connection freeze that could occur when processing large responses.
This would
   manifest itself under the error message "This website is under heavy load" or
"Request
   queue is full, returning an error". Closes GH-1404.
 * Debian and Ubuntu packages have been reintroduces.
 * When `passenger-config restart-app` is run interactively, if Passenger is not
serving
(Only the first 15 lines of the commit message are shown above View all of this commit message)
11 Feb 2015 03:23:11
Original commit files touched by this commit  4.0.59
Revision:378812 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 4.0.58 to 4.0.59:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 4.0.59
--------------

* [Enterprise] Fixed support for free-style Node.js apps.

</ChangeLog>
23 Jan 2015 23:28:01
Original commit files touched by this commit  4.0.58
Revision:377773 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 4.0.57 to 4.0.58:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 4.0.58
--------------

* [Enterprise] Fixed a bug in the Debian packages which caused Flying Passenger
to break when used with non-system Rubies.
* The Debian packages no longer require Ruby 1.9. Closes GH-1353.

</ChangeLog>
03 Jan 2015 16:58:40
Original commit files touched by this commit  4.0.57
Revision:376127 This port version is marked as vulnerable.
osa search for other commits by this committer
Upgrade from 4.0.53 to 4.0.57 (as preparation to upgrade the www/nginx-devel to
1.7.9):

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 4.0.57
--------------

 * Fixed a native extension compatibility problem with Ruby 2.2.
   Closes [ruby-core:67152](https://bugs.ruby-lang.org/issues/10656).
 * Fixed compatibility with Nginx 1.7.9. Closes GH-1335.

Release 4.0.56
(Only the first 15 lines of the commit message are shown above View all of this commit message)
10 Oct 2014 21:41:42
Original commit files touched by this commit  4.0.53_2
Revision:370608 This port version is marked as vulnerable.
osa search for other commits by this committer
Fix typo (missing /).
Bump PORTREVISION.
10 Oct 2014 21:38:30
Original commit files touched by this commit  4.0.53_1
Revision:370607 This port version is marked as vulnerable.
osa search for other commits by this committer
Fix staging when SYMLINK defined.
Bump PORTREVISION.

Tested by:	remko
04 Oct 2014 14:16:17
Original commit files touched by this commit  4.0.53
Revision:369965 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.52 to 4.0.53:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

* Upgraded the preferred Nginx version to 1.6.2.
* Improved RVM gemset autodetection.
* Fixed some Ruby 2.2 compatibility issues.

</ChangeLog>
01 Oct 2014 01:18:56
Original commit files touched by this commit  4.0.52
Revision:369682 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.50 to 4.0.52:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

* Fixed a null termination bug when autodetecting application types.
* Node.js apps can now also trigger the inverse port binding mechanism by
passing `'/passenger'`
  as argument.  This was introduced in order to be able to support the Hapi.js
framework.
  Please read
 
http://stackoverflow.com/questions/20645231/phusion-passenger-error-http-server-listen-was-called-more-than-once/20645549
  for more information regarding Hapi.js support.
* It is now possible to abort Node.js WebSocket connections upon application
restart.
  Please refer to
(Only the first 15 lines of the commit message are shown above View all of this commit message)
29 Aug 2014 11:09:43
Original commit files touched by this commit  4.0.50
Revision:366502 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.49 to 4.0.50:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

* Fixed a potential heap corruption bug.
* Added Union Station support for Rails 4.1.

</ChangeLog>
22 Aug 2014 22:06:37
Original commit files touched by this commit  4.0.49
Revision:365702 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.48 to 4.0.49:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

 * Upgraded the preferred Nginx version to 1.6.1.
 * Fixed a crash that may be triggered by the `passenger_max_requests` feature.
 * Introduced the `spawn_failed` hook, which is called when an application
   process fails to spawn. You could use this hook to setup an error
   notification system. Closes GH-1252.
 * Fonts, RSS and XML are now gzip-compressed by default in Phusion Passenger
   Standalone. Thanks to Jacob Elder. Closes GH-1254.
 * Fixed some user and group information lookup issues. Closes GH-1253.
 * Fixed some request handling crashes. Closes GH-1250.
 * Fixed some compilation problems on Gentoo. Closes GH-1261.
 * Fixed some compilation problems on Solaris. Closes GH-1260.

</ChangeLog>
10 Aug 2014 15:21:35
Original commit files touched by this commit  4.0.48
Revision:364549 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.45 to 4.0.48:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

Add CPE information.

<ChangeLog>

Release 4.0.48
--------------

 * Fixed a race condition while determining what user an application should
   be executed as. This bug could lead to applications being run as the wrong
   user. Closes GH-1241.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
20 Jun 2014 09:50:30
Original commit files touched by this commit  4.0.45
Revision:358542 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.44 to 4.0.45:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
02 Jun 2014 02:14:54
Original commit files touched by this commit  4.0.44
Revision:356191 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.41 to 4.0.44:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 4.0.44
--------------

 * The issue tracker has now been moved from Google Code to Github.
   Before version 4.0.44 (May 29 2014, commit 3dd0964c9f4), all
   issue numbers referred to Google Code. From now on, all issue
   numbers will refer to Github Issues.
 * Fixed compilation problems on OS X Lion and OS X Mountain Lion.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
16 May 2014 14:48:10
Original commit files touched by this commit  4.0.41_3
Revision:354233 This port version is marked as vulnerable.
swills search for other commits by this committer
- Convert to new LIB_DEPENDS format
- Some files are missing after staging, add them manually

PR:		ports/188905
Submitted by:	swills (myself)
Approved by:	maintainer timeout (osa, >3 weeks)
09 Apr 2014 23:16:05
Original commit files touched by this commit  4.0.41_2
Revision:350745 This port version is marked as vulnerable.
osa search for other commits by this committer
Update dependences.
Bump PORTREVISION.
09 Apr 2014 04:29:13
Original commit files touched by this commit  4.0.41_1
Revision:350668 This port version is marked as vulnerable.
osa search for other commits by this committer
Fix build, bump PORTREVISION.

Notice from:	swills (via jenkins)
09 Apr 2014 02:36:09
Original commit files touched by this commit  4.0.41
Revision:350664 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.35 to 4.0.41:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

STAGEfy www/rubygem-passenger.
21 Mar 2014 21:44:17
Original commit files touched by this commit  4.0.35
Revision:348746 This port version is marked as vulnerable.
bdrewery search for other commits by this committer
- Fix bmake warning

Reported by:	Allan Jude
17 Jan 2014 01:27:34
Original commit files touched by this commit  4.0.35
Revision:340006 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.33 to 4.0.35:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.
04 Jan 2014 05:01:54
Original commit files touched by this commit  4.0.33
Revision:338622 This port version is marked as vulnerable.
osa search for other commits by this committer
Update from 4.0.30 to 4.0.33:

o) www/rubygem-passenger;
o) third-party modules for www/nginx and www/nginx-devel.

<ChangeLog>

Release 4.0.33
--------------

* Fixed a compatibility problem in passenger-install-apache2-module with Ruby
1.8.
  The language selection menu didn't work properly.

Release 4.0.32
--------------
(Only the first 15 lines of the commit message are shown above View all of this commit message)

Number of commits found: 169 (showing only 100 on this page)

1 | 2  »  

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
python37Oct 19
py-pillowOct 15
mod_perl2Oct 09
xpdfOct 06
xpdf3Oct 06
xpdf4Oct 06
unboundOct 03
cactiOct 02
gitlab-ceOct 02
gitlab-ceOct 02
ruby24Oct 02
ruby25Oct 02
mongodb34Sep 30
mongodb34Sep 30
mongodb36Sep 30

4 vulnerabilities affecting 12 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-10-19 10:52:46


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 37699
Broken 75
Deprecated 99
Ignore 340
Forbidden 3
Restricted 156
No CDROM 73
Vulnerable 26
Expired 15
Set to expire 70
Interactive 0
new 24 hours 2
new 48 hours2
new 7 days18
new fortnight57
new month160

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.